# Class DisabledAuthenticationService

#### Implements

- IAuthenticationService

- Defined in lib/disabled-authentication.service.ts:9

#####
Index

### Constructors

constructor

### Properties

events$
isAuthenticated$

### Methods

isAuthenticated
signOut

## Constructors

### constructor

- new DisabledAuthenticationService(): DisabledAuthenticationService

- #### Returns DisabledAuthenticationService

## Properties

### `Readonly` events$

events$: Observable<never> = EMPTY

Implementation of IAuthenticationService.events$

- Defined in lib/disabled-authentication.service.ts:12

### `Readonly` isAuthenticated$

isAuthenticated$: Observable<boolean> = ...

Implementation of IAuthenticationService.isAuthenticated$

- Defined in lib/disabled-authentication.service.ts:11

## Methods

### isAuthenticated

- isAuthenticated(): Promise<boolean>

- #### Returns Promise<boolean>

  Implementation of IAuthenticationService.isAuthenticated

  - Defined in lib/disabled-authentication.service.ts:18

### signOut

- signOut(): Promise<void>

- #### Returns Promise<void>

  Implementation of IAuthenticationService.signOut

  - Defined in lib/disabled-authentication.service.ts:14